import 'dart:async';

import 'package:flutter/services.dart';

class Mzanalytics {
  static const MethodChannel _channel =
      const MethodChannel('mzanalytics');

 
  static Future<void>  ios_appid(String aid) async  {
    try {
        _channel.invokeMethod('ios_appid',{'appid':aid});   
    } on PlatformException {
      
    }
    
     
  }
  static Future<void>  ios_trackPageView(var parameter) async  {
    try {
     

         _channel.invokeMethod('ios_trackPageView',parameter);   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  ios_trackEvent(var parameter) async  {
    try {
     

         _channel.invokeMethod('ios_trackEvent',parameter);   
      
       
    } on PlatformException {
      
    }
    
     
  }


  static Future<void>  ios_trackSiteCustomEvent(var parameter) async  {
    try {
     

         _channel.invokeMethod('ios_trackSiteCustomEvent',parameter);   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  get ios_trackPulse async  {
    try {
     

         _channel.invokeMethod('ios_trackPulse');   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<String>  get ios_getCid async  {
    try {
     final String cid = await  _channel.invokeMethod('ios_getCid'); 
     return cid;

        
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  ios_setEnableLog(bool parameter) async  {
    try {
     

         _channel.invokeMethod('ios_setEnableLog',{'Enable':parameter});   
      
       
    } on PlatformException {
      
    }
    
     
  }

  

  static Future<void>  ios_handleOpenURL(String url) async  {
    try {
     

         _channel.invokeMethod('ios_handleOpenURL',{'url':url});   
      
       
    } on PlatformException {
      
    }
    
     
  }

static Future<void> android_initEvent() async {
    try {
      _channel.invokeMethod('android_initEvent');
    } on PlatformException catch (e) {}
  }

  static Future<void> android_sendBaseEvent(var parameter) async {
    try {
      _channel.invokeMethod('android_sendBaseEvent', parameter);
    } on PlatformException catch (e) {}
  }

  static Future<void> android_pageEvent(var parameter) async {
    try {
      _channel.invokeMethod('android_pageEvent', parameter);
    } on PlatformException catch (e) {}
  }

  static Future<void> android_seniorEvent(var parameter) async {
    try {
      _channel.invokeMethod('android_seniorEvent', parameter);
    } on PlatformException catch (e) {}
  }

  static Future<void> android_heartEvent() async {
    try {
      _channel.invokeMethod('android_heartEvent');
    } on PlatformException catch (e) {}
  }
   
     static Future<String> android_getOaid() async {
    try {
      return _channel.invokeMethod('android_getOaid');
    } on PlatformException catch (e) {}
  }

  static Future<String> android_getCid() async {
    try {
      return _channel.invokeMethod('android_getCid');
    } on PlatformException catch (e) {}
  }

  
}
